> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch EPD

> Partially updates one or more materials in the EPD (Environmental Product Declaration) database. Only the fields specified in `updateFieldPaths` will be modified — all other fields on the material records remain unchanged.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml patch /material
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /material:
    servers:
      - url: https://api.realtimelca.com/epd/api
    patch:
      tags:
        - Library
        - Material
      summary: Patch EPD
      description: >-
        Partially updates one or more materials in the EPD (Environmental
        Product Declaration) database. Only the fields specified in
        `updateFieldPaths` will be modified — all other fields on the material
        records remain unchanged.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                updateFieldPaths:
                  type: array
                  items:
                    type: string
                materials:
                  type: array
                  items:
                    type: object
                    properties:
                      internalId:
                        type: string
                      internalVersionNumber:
                        type: integer
                      tenantId:
                        type: string
                        format: utc-millisec
                      isPublic:
                        type: boolean
                      isCustom:
                        type: boolean
                      isConstruction:
                        type: boolean
                      tags:
                        type: array
                        items:
                          type: string
                      lciaResultCompleteness:
                        type: integer
                      basedOnMaterialIds:
                        type: array
                        items: {}
                      epdInfo:
                        type: object
                        properties:
                          epdSpecificationForm:
                            type: integer
                          epdProductIndustryType:
                            type: integer
                          validTo:
                            type: string
                            format: style
                          epdVersion:
                            type: string
                            format: utc-millisec
                          publicationDate:
                            type: string
                          fileEntityId:
                            type: string
                          declarationOwnerId:
                            type: string
                          datasourceId:
                            type: string
                          declarationNumber:
                            type: string
                          link:
                            type: string
                            format: uri
                      lciaResults:
                        type: array
                        items:
                          type: object
                          properties:
                            moduleTypeEnum:
                              type: integer
                            moduleStatusEnum:
                              type: integer
                            indicators:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: integer
                                  unit:
                                    type: string
                                  originalIdentifier:
                                    type: string
                                  value:
                                    type: number
                      declaredUnit:
                        type: object
                        properties:
                          declaredValue:
                            type: integer
                          declaredUnit:
                            type: integer
                          mass:
                            type: integer
                          massUnit:
                            type: integer
                      expectedLifespan:
                        type: integer
                      name:
                        type: string
                      description:
                        type: string
                        format: style
                      datasourceName:
                        type: string
                      declarationOwnerName:
                        type: string
                      newestVersion:
                        type: boolean
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
            example:
              updateFieldPaths:
                - DeclaredUnit.Mass
                - DeclaredUnit.MassUnit
              materials:
                - internalId: c3cc340f-01ad-4149-9d7b-111ea48700be
                  internalVersionNumber: 1
                  tenantId: '2'
                  isPublic: true
                  isCustom: false
                  isConstruction: false
                  tags:
                    - Zink
                  lciaResultCompleteness: 1
                  basedOnMaterialIds: []
                  epdInfo:
                    epdSpecificationForm: 0
                    epdProductIndustryType: 2
                    validTo: '2023-01-01T00:00:00.0000000'
                    epdVersion: '1.0'
                    publicationDate: '2022-05-22T00:00:00.0000000'
                    fileEntityId: 00000000-0000-0000-0000-000000000000
                    declarationOwnerId: 00000000-0000-0000-0000-000000000000
                    datasourceId: cf1bca75-0e00-40f1-8666-a72e6b501e07
                    declarationNumber: ''
                    link: https://www.retsinformation.dk/eli/lta/2022/1464
                  lciaResults:
                    - moduleTypeEnum: 0
                      moduleStatusEnum: 2
                      indicators:
                        - type: 0
                          unit: ''
                          originalIdentifier: gwp
                          value: 2.09
                    - moduleTypeEnum: 15
                      moduleStatusEnum: 2
                      indicators:
                        - type: 0
                          unit: ''
                          originalIdentifier: gwp
                          value: 0
                    - moduleTypeEnum: 16
                      moduleStatusEnum: 2
                      indicators:
                        - type: 0
                          unit: ''
                          originalIdentifier: gwp
                          value: 0.00068207
                    - moduleTypeEnum: 17
                      moduleStatusEnum: 2
                      indicators:
                        - type: 0
                          unit: ''
                          originalIdentifier: gwp
                          value: -1.81062
                    - moduleTypeEnum: 1
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 2
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 3
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 4
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 5
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 6
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 7
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 8
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 9
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 10
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 11
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 12
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 13
                      moduleStatusEnum: 1
                      indicators: []
                    - moduleTypeEnum: 14
                      moduleStatusEnum: 1
                      indicators: []
                  declaredUnit:
                    declaredUnit: 1
                    declaredValue: 1
                    mass: 7200
                    massUnit: 2
                  expectedLifespan: 0
                  name: Zink, patineret
                  description: >-
                    Generic environmental data published in the Danish Building
                    Code January 2023 - Tabel 7, with the following ID: #G0015
                  datasourceName: Tabel7
                  declarationOwnerName: Tabel 7
                  newestVersion: true
                  id: 0e62c058-a6e0-4c25-a1eb-13647aef66c5
                  createdAt: '2023-04-19T12:05:40.0244540+02:00'
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````